package nand.apps.chat.ui.groups

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.AddCircle
import androidx.compose.material.icons.filled.Groups
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.window.Dialog
import nand.apps.chat.ui.contacts.ContactDialogType
import nand.apps.chat.ui.menu.ActionMenuRow
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun AddGroupDialog(
    onSelect: (ContactDialogType) -> Unit,
    onDismiss: () -> Unit,
) {
    Dialog(
        onDismissRequest = onDismiss,
    ) {
        Column(
            modifier = Modifier
                .background(
                    color = ChatTheme.colors.background,
                    shape = ChatTheme.shapes.small,
                )
        ) {
            ActionMenuRow(
                icon = Icons.Default.AddCircle,
                label = stringResource(Res.string.create_group_dialog_title),
                onClick = { onSelect(ContactDialogType.CREATE_GROUP) },
            )
            ActionMenuRow(
                icon = Icons.Default.Groups,
                label = stringResource(Res.string.join_group_dialog_title),
                onClick = { onSelect(ContactDialogType.JOIN_GROUP) },
            )
        }
    }
}