package nand.apps.chat.ui.groups

import com.hoc081098.kmp.viewmodel.ViewModel
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.repo.ContactRepo
import nand.apps.chat.ui.groups.JoinGroupDialogAction.*
import nand.apps.chat.util.fifoSharedFlow
import nand.apps.chat.util.takeIfNotBlank

class JoinGroupDialogViewModel(
    private val contactRepo: ContactRepo,
) : ViewModel() {

    val selfName get() = contactRepo.self.displayName
    val actionData = fifoSharedFlow<JoinGroupDialogAction>()
    
    fun joinGroup(groupName: String, address: String, nickName: String, password: String?) {
        contactRepo.joinGroup(
            groupName = groupName.takeIfNotBlank(),
            groupUid = GroupUid(address),
            selfNickname = nickName.takeIfNotBlank(),
            password = password?.takeIfNotBlank(),
        )?.let {
            actionData.tryEmit(ExitDialog)
        } ?: actionData.tryEmit(ShowError)
    }
}